import Login from "../Login.vue";
import {mount} from "@vue/test-utils";
import { shallowMount } from '@vue/test-utils'
import Service from "../service/Service";
import Profil from "../Profil";

// Rien a tester dans Index.vue, car c'est juste un "aggrégateur" pour d'autres composants.

test('Profil', () => {

    const wrapper = shallowMount(Profil)
    expect(wrapper.vm.editMode).toEqual(false)

    let button = wrapper.find('#validerChangementMdp');

    button.trigger('click');
    expect(wrapper.vm.editMode).toEqual(true)

    console.log(wrapper.vm.editMode)

    button = wrapper.find('#afficherMenuChangementMdp')
    button.trigger('click');
    expect(wrapper.vm.editMode).toEqual(false)

    console.log(wrapper.vm.editMode)

})

